Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 351 - tcsh autoexpand .<filename> in directory stack causes xterm core dump
Summary: tcsh autoexpand .<filename> in directory stack causes xterm core dump
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-08 18:41 UTC by lfwelty
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-08 20:36:34 UTC


Attachments (Terms of Use)

Description lfwelty 1998-12-08 18:41:44 UTC
Problem - autoexpanding filenames with a .<filename> format
in
          a directory stack causes tcsh & xterm core dump
(xterm
          dies) -- fvwm2
Under RH5.2 - running tcsh with autoexpand.

ex.
ls on your .tcshrc file from another directory stack.
/home/lfwelty> pushd /etc
/etc ~
/etc> ls =1/.tcsh<hit tab to autoexpand causes core dump>

my .tcshrc file:
if ($?tcsh) then

   bindkey -v           # use vi key bindings on the
                        # command line

   set autoexpand       # expand substitutions ie '!$'
   set autolist         # list possible completions
   set rmstar           # Prompt user before execution of
'rm *'
   set ignore_symlinks  #upon doin cd .., this will put you
where you
                        #were before doing a cd via symbolic
links.
   set listjobs=long    #lists all jobs, when suspending, in
long format

endif

This is very reproducable -- happens every time.

I'm new to RH -- I've only run slackware before; so it could
be
my inexperience with the system, but this worked on
slackware 96
running kernel 2.0.0

Any help would be appreciated,

Thanks,

Frank.

Comment 1 Jay Turner 1998-12-08 20:38:59 UTC
Replicated the .tcshrc of the user, but was unable to replicate
process crashes.

Comment 2 jorma.laaksonen 1998-12-31 09:14:59 UTC
tcsh produces Segmentation fault after doing, e.g.:
cd /etc ; pushd / ; ls =1/ho<tab-key>
It shows the file list and then dies.
I have tcsh-6.07.09-1.i386.rpm installed in Red Hat 5.2.
For testing, I had no .tcshrc, .cshrc, nor .login.

Jorma.Laaksonen@hut.fi


Note You need to log in before you can comment on or make changes to this bug.